#!/bin/bash
# Parameters for the applications.submit

#  --jobname         <job name> - Default: the service name
#  --jobmanager      <lsf | sge | ...>
#  --cluster         <cluster>
#  --host            <host>
#  --queue           <queue name> - Default: job scheduler default
#  --project         <project>
#  --submitopts      <scheduler options> - Quoted string of extra options passed verbatim to the jobmanager submission command
#  --stdout          <stdout>
#  --stdin           <stdin>
#  --stderr          <stderr>
#  --command         <command> <command parameters> - Default: the Job Script

#  examples

#  applications.submit --jobmanager lsf --submitopts "-n ${NCORES} -q ${QUEUE}"
#  where NCORES and QUEUE are options ID from the service editor

#  applications.submit --jobname "SGE Test" --jobmanager sge --project "SGE Project" --host "node01"

if [ "$DBPW" == "" -o "$DBPW" == "replace_me" ] ; then
    # /opt/nisp/enginframe/conf/derby
    echo "Please set DBPW value in the configuration from $EF_CONF_ROOT/derby/derby.properties (derby.user.dbadmin)"
    exit
else
    :
    bash $EF_CONF_ROOT/tomcat/webapps/ROOT/jobhist/script.sh
fi

